<template>
  <q-page class="flex flex-center q-pa-md">
    <div></div>
    <q-card bordered class="row no-wrap q-ma-md login-card">
      <LoginForm class="q-pa-lg login-form" />
    </q-card>
  </q-page>
</template>

<script setup lang="ts">
import LoginForm from 'src/features/auth/components/LoginForm.vue';
</script>

<style lang="scss">
.login-form {
  background-color: transparent;
  width: 350px;
}

.login-card {
  border-radius: 14px;
  position: relative;
  width: fit-content;
}

.login-shadow {
  position: absolute;
  width: 350px;
  height: 520px;
  z-index: -1;
  background-color: $primary;
  top: -20px;
  right: 20px;
  border-radius: 14px !important;
}
</style>
